/* monitor.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef MONITOR_H
#define MONITOR_H 1

#include "viewer.h"
#include "opengl.h"

class Main;
class SearchSideBar;
class DeviceSideBar;
class SummarySideBar;
class ViewSideBar;
class FilterSideBar;
class Monitor
{
	public:
		Monitor(Main *m);
		~Monitor();

		void show();
		void hide();
		void sidepanel();
		void labels();
		void colour();

		Main *main;
		char side_panel;
		char which_viewer;

		SearchSideBar *searchsidebar;
		DeviceSideBar *devicesidebar;
		SummarySideBar *summarysidebar;
		ViewSideBar *viewsidebar;
		FilterSideBar *filtersidebar;
		Viewer *viewer;
		OpenGL *opengl;

		GtkWidget *menu[55];
		GtkWidget *menubar;
		GtkWidget *menubar2;
		GtkWidget *filemenu;
		GtkWidget *viewmenu;
		GtkWidget *componentmenu;
		GtkWidget *windowmenu;
		GtkWidget *helpmenu;
		GtkWidget *pixmap[10];
		GtkWidget *icons[10];
		GtkWidget *mainwindow;
		GtkWidget *vbox1;
		GtkWidget *menubar1;
		GtkWidget *hpaned1;
		GtkWidget *notebook1;
		GtkWidget *notebook2;
		GtkWidget *vbox2;
		GtkWidget *hbox3;
		GtkWidget *scrolledwindow1;
		GtkWidget *clist1;
		GtkWidget *label4;
		GtkWidget *label5;
		GtkWidget *frame1;
		GtkWidget *hbox1;
		GtkWidget *entry1;
		GtkWidget *scrolledwindow2;
		GtkWidget *clist2;
		GtkWidget *label6;
		GtkWidget *scrolledwindow4;
		GtkWidget *label8;
		GtkWidget *clist4;
		GtkWidget *vbox24;
		GtkWidget *entry18;
		GtkWidget *hbox37;
		GtkWidget *button17;
		GtkWidget *button18;
		GtkWidget *vbox27;
};

#endif

