/* sessions.cc
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <stdlib.h>
#include <stdio.h>
#include "sessions.h"
#include "main.h"

Sessions::Sessions(Main *m)
{
	main = m;
	hbox33_group = NULL;
	create();
}

Sessions::~Sessions()
{
}

void Sessions::create()
{
  vbox19 = gtk_vbox_new (FALSE, 4);
  gtk_widget_show (vbox19);
  gtk_container_set_border_width (GTK_CONTAINER (vbox19), 4);

	window = vbox19;

  hbox33 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox33);
  gtk_box_pack_start (GTK_BOX (vbox19), hbox33, FALSE, TRUE, 0);

  radiobutton1 = gtk_radio_button_new_with_label (hbox33_group, "Local");
  hbox33_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radiobutton1));
  gtk_widget_show (radiobutton1);
  gtk_box_pack_start (GTK_BOX (hbox33), radiobutton1, TRUE, FALSE, 0);

  radiobutton2 = gtk_radio_button_new_with_label (hbox33_group, "Remote");
  hbox33_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radiobutton2));
  gtk_widget_show (radiobutton2);
  gtk_box_pack_start (GTK_BOX (hbox33), radiobutton2, TRUE, FALSE, 0);

  hbox34 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox34);
  gtk_box_pack_start (GTK_BOX (vbox19), hbox34, FALSE, FALSE, 0);

  frame13 = gtk_frame_new ("Local");
  gtk_widget_show (frame13);
  gtk_box_pack_start (GTK_BOX (hbox34), frame13, TRUE, TRUE, 0);

  table3 = gtk_table_new (2, 2, FALSE);
  gtk_widget_show (table3);
  gtk_container_add (GTK_CONTAINER (frame13), table3);
  gtk_container_set_border_width (GTK_CONTAINER (table3), 4);
  gtk_table_set_col_spacings (GTK_TABLE (table3), 4);

  entry10 = gtk_entry_new ();
  gtk_widget_show (entry10);
  gtk_table_attach (GTK_TABLE (table3), entry10, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label24 = gtk_label_new ("Server Directory");
  gtk_widget_show (label24);
  gtk_table_attach (GTK_TABLE (table3), label24, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label24), 1, 0.5);

  label25 = gtk_label_new ("Grab own data");
  gtk_widget_show (label25);
  gtk_table_attach (GTK_TABLE (table3), label25, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label25), 1, 0.5);

  checkbutton5 = gtk_check_button_new_with_label ("");
  gtk_widget_show (checkbutton5);
  gtk_table_attach (GTK_TABLE (table3), checkbutton5, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  hbox31 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox31);
  gtk_box_pack_start (GTK_BOX (vbox19), hbox31, FALSE, TRUE, 0);

  frame12 = gtk_frame_new ("Remote");
  gtk_widget_show (frame12);
  gtk_box_pack_start (GTK_BOX (hbox31), frame12, TRUE, TRUE, 0);

  table4 = gtk_table_new (4, 2, FALSE);
  gtk_widget_show (table4);
  gtk_container_add (GTK_CONTAINER (frame12), table4);
  gtk_container_set_border_width (GTK_CONTAINER (table4), 4);
  gtk_table_set_col_spacings (GTK_TABLE (table4), 4);

  entry14 = gtk_entry_new ();
  gtk_widget_show (entry14);
  gtk_table_attach (GTK_TABLE (table4), entry14, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label34 = gtk_label_new ("URL of remote directory");
  gtk_widget_show (label34);
  gtk_table_attach (GTK_TABLE (table4), label34, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label34), 1, 0.5);

  label35 = gtk_label_new ("Access via proxy server");
  gtk_widget_show (label35);
  gtk_table_attach (GTK_TABLE (table4), label35, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label35), 1, 0.5);

  checkbutton8 = gtk_check_button_new_with_label ("");
  gtk_widget_show (checkbutton8);
  gtk_table_attach (GTK_TABLE (table4), checkbutton8, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label36 = gtk_label_new ("HTTP proxy");
  gtk_widget_show (label36);
  gtk_table_attach (GTK_TABLE (table4), label36, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label36), 1, 0.5);

  entry15 = gtk_entry_new ();
  gtk_widget_show (entry15);
  gtk_table_attach (GTK_TABLE (table4), entry15, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label37 = gtk_label_new ("Port Number");
  gtk_widget_show (label37);
  gtk_table_attach (GTK_TABLE (table4), label37, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_misc_set_alignment (GTK_MISC (label37), 1, 0.5);

  hbox39 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox39);
  gtk_table_attach (GTK_TABLE (table4), hbox39, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  spinbutton3_adj = gtk_adjustment_new (0, 0, 65536, 1, 10, 10);
  spinbutton3 = gtk_spin_button_new (GTK_ADJUSTMENT (spinbutton3_adj), 1, 0);
  gtk_widget_show (spinbutton3);
  gtk_box_pack_start (GTK_BOX (hbox39), spinbutton3, FALSE, TRUE, 0);
  gtk_widget_set_usize (spinbutton3, 60, -2);
}

